Scheduling
Link creator ai weekly schedule
Link a creator to the selected AI weekly work schedule so its timetable controls AI scheduling.
PUT
/v1/agencies/{agencyId}/creators/{creatorId}/ai-weekly-scheduleLink a creator to the selected AI weekly work schedule so its timetable controls AI scheduling.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/agencies/string/creators/string/ai-weekly-schedule" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "scheduleId": "string" }'{ "data": { "description": null, "agencyId": "string", "label": null, "platform": "ONLYFANS", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "name": "string", "age": null, "birthday": null, "timezone": null, "updatedAt": "2019-08-24T14:15:22Z", "url": null, "platformUserId": null, "pseudo": null, "pending": true, "needA2fVerification": true, "verifiedAt": null, "gender": "MALE", "living": "string", "profession": null, "weight": null, "shoeSize": null, "braCupSize": null, "ethnicity": null, "appearance": null, "hairColor": null, "eyeColor": null, "primaryLanguage": null, "otherLanguages": [ "string" ], "languages": null, "trackingLinkSyncListId": null, "isDeleted": true, "deletedAt": null, "chatInboxEnabled": true, "isNearby": true }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}